/* XIRR Calculator CTA */

.xirr_calc_wrapper {
	width: 100%;
}
.xirr_calc_wrapper a {
	display: inline-block;
	width: 100%;
	margin: 0 auto;
	padding: 1em 0;
	border: solid 1px #ccc;
	color: #4298b3;
	background: -webkit-linear-gradient(#fff, #f2f2f2);
	background:      -o-linear-gradient(#fff, #f2f2f2);
	background:    -moz-linear-gradient(#fff, #f2f2f2);
	background:         linear-gradient(#fff, #f2f2f2);
	font-size: .9em;
	text-align: center;
	text-decoration: none;
}

.xirr_calc_wrapper a:hover {
	background: -webkit-linear-gradient(#f2f2f2, #fff);
	background:      -o-linear-gradient(#f2f2f2, #fff);
	background:    -moz-linear-gradient(#f2f2f2, #fff);
	background:         linear-gradient(#f2f2f2, #fff);
}
/* keep non-working xirr options grayed out, waiting on markup changes to do this "better" */
.table.xirr-maintable .btn-group.switch.switch-blue label#Deposit1,
.table.xirr-maintable .btn-group.switch.switch-blue label#Withdrawal1,
.table.xirr-maintable .btn-group.switch.switch-blue label#Deposit0,
.table.xirr-maintable .btn-group.switch.switch-blue label#Withdrawal0 {
	color: #888;
}

/* XIRR Calculator Toggle buttons */
.switch {
  position: relative;
  width: 120px;
  height: 26px;
  margin: 10px auto;
  border-radius: 3px;
  background: rgba(0, 0, 0, .25);
  -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, .3), 0 1px rgba(255, 255, 255, .1);
          box-shadow: inset 0 1px 3px rgba(0, 0, 0, .3), 0 1px rgba(255, 255, 255, .1);
}

.switch-label {
  float: left;
  position: relative;
  z-index: 2;
  width: 58px;
  color: rgba(255, 255, 255, .35);
  text-shadow: 0 1px 1px rgba(0, 0, 0, .45);
  font-size: 11px;
  line-height: 26px;
  text-align: center;
  cursor: pointer;
}
.switch-label:active {
  font-weight: bold;
}

.switch-label-off {
  padding-left: 2px;
}

.switch-label-on {
  padding-right: 2px;
}

/*
 * Note: using adjacent or general sibling selectors combined with
 *       pseudo classes doesn't work in Safari 5.0 and Chrome 12.
 *       See this article for more info and a potential fix:
 *       http://css-tricks.com/webkit-sibling-bug/
 */
.switch-input {
  display: none;
}
.switch-input:checked+.switch-label {
  color: rgba(0, 0, 0, .65);
  text-shadow: 0 1px rgba(255, 255, 255, .25);
  font-weight: bold;
  -webkit-transition: .15s ease-out;
     -moz-transition: .15s ease-out;
       -o-transition: .15s ease-out;
          transition: .15s ease-out;
}
.switch-input:checked+.switch-label-on~.switch-selection {
  left: 60px;
  /* Note: left: 50% doesn't transition in WebKit */
}

.switch-selection {
  display: block;
  position: absolute;
  z-index: 1;
  top: 2px;
  left: 2px;
  width: 58px;
  height: 22px;
  border-radius: 3px;
  background: #65bd63;
  background-image: -webkit-linear-gradient(top, #9dd993, #65bd63);
  background-image:    -moz-linear-gradient(top, #9dd993, #65bd63);
  background-image:      -o-linear-gradient(top, #9dd993, #65bd63);
  background-image:         linear-gradient(to bottom, #9dd993, #65bd63);
  -webkit-box-shadow: inset 0 1px rgba(255, 255, 255, .5), 0 0 2px rgba(0, 0, 0, .2);
          box-shadow: inset 0 1px rgba(255, 255, 255, .5), 0 0 2px rgba(0, 0, 0, .2);
  -webkit-transition: left .15s ease-out;
     -moz-transition: left .15s ease-out;
       -o-transition: left .15s ease-out;
          transition: left .15s ease-out;
}
.switch-blue .switch-selection {
  background: #3aa2d0;
  background-image: -webkit-linear-gradient(top, #4fc9ee, #3aa2d0);
  background-image:    -moz-linear-gradient(top, #4fc9ee, #3aa2d0);
  background-image:      -o-linear-gradient(top, #4fc9ee, #3aa2d0);
  background-image:         linear-gradient(to bottom, #4fc9ee, #3aa2d0);
}
.switch-yellow .switch-selection {
  background: #c4bb61;
  background-image: -webkit-linear-gradient(top, #e0dd94, #c4bb61);
  background-image:    -moz-linear-gradient(top, #e0dd94, #c4bb61);
  background-image:      -o-linear-gradient(top, #e0dd94, #c4bb61);
  background-image:         linear-gradient(to bottom, #e0dd94, #c4bb61);
}

/* Media Queries */
@media only screen and (max-width: 767px) {
	.table.xirr-maintable th span {
		font-size: 12px;
	}
	.table.xirr-maintable td {
		padding: 6px 6px 6px 6px;
		font-size: 14px;
	}
	.page-xirr-calculator table.xirr-maintable input {
		padding: 6px 6px 6px;
		font-size: 14px;
	}
	.table.xirr-maintable .input-group-addon {
		padding: 6px 6px;
	}
	.page-xirr-calculator .panel-default .calculate_btn_wrap {
		width: 370px;
		margin: 0 auto;
	}
	.page-xirr-calculator .datecol {
		width: 130px;
	}
	.page-xirr-calculator .panel-default .xirr-final-calculation {
		padding: 10px 15px 0 15px;
		font-size: 20px;
	}
}

@media only screen and (max-width: 480px) {
	.table.xirr-maintable th span {
		font-size: 10px;
	}
	.page-xirr-calculator .table.xirr-maintable td {
		padding: 2px;
		font-size: 12px;
	}
	.page-xirr-calculator table.xirr-maintable input {
		padding: 5px;
		font-size: 9px;
	}
	.table.xirr-maintable .input-group-addon {
		padding: 2px;
		font-size: 9px;
	}
	.page-xirr-calculator .panel-default .xirr-maintable .secondToLastRow th {
		line-height: 10px;
	}
	.page-xirr-calculator .panel-default .calculate_btn_wrap {
		margin-left: 10px;
	}
	.page-xirr-calculator .panel-default .btn-add5,
	.page-xirr-calculator .panel-default .btn-calc {
		width: 130px;
		margin: 20px 5px;
		padding: 10px 15px;
		font-size: 13px;
	}
	.page-xirr-calculator .datecol {
		width: 130px;
	}
	.page-xirr-calculator .panel-default .xirr-final-calculation {
		padding: 10px 15px 0 15px;
		font-size: 20px;
	}
	.page-xirr-calculator .panel-default .xirr-maintable input[type="radio"] {
		margin-right: 3px;
	}

	/*toggle*/
	.page-xirr-calculator .table.xirr-maintable .switch {
		width: 125px;
	}
	.page-xirr-calculator .table.xirr-maintable .switch-label {
		width: 58px;
		color: #333;
		font-size: 9px;
	}
	.page-xirr-calculator .table.xirr-maintable .switch-selection {
		width: 58px;
	}
	.page-xirr-calculator .table.xirr-maintable .switch-label-on {
		padding-left: 11px;
	}
	.page-xirr-calculator .table.xirr-maintable .switch-input:checked+.switch-label-on~.switch-selection {
		left: 65px;
	}
}